      program uenergy ! BB 11/9/2018 u=universe.
c ``Dark'' energy due to cosmological constant.
      implicit real*8 (a-h,o-z)
      logical ltest
c Speed of light c=3.d10 cm/s.
c From Planck satellite Lambda=ul=1.11d-56 cm^{-2}.
c Newton G=6.674d-8 cm^3*s^{-2}*g^{-1} (Wikipedia).
      parameter(iuo=6,c=3.d10,ul=1.11d-56,G=6.674d-8)
      ltest=.true.
      pi=acos(-1.d00)
c
      write(iuo,'(/," Universe Energy Densities:",/)') 
      write(iuo,'(" Wikipedia, Rindler Conventions differ! Why?",/)') 
      write(iuo,'(" Lambda (satellite) [1/cm^2} =",1g11.3)') ul
      write(iuo,'(" Newton G [cm^3/(s^2*g)]     =",1g11.3)') G
      uk=8.d00*pi*G/c**4 ! Einstein gravitational constant.
      write(iuo,'(" Einstein k [s^2/(cm*g)]     =",1g11.3)') uk
c
      ur=8.8d28/2.d00 ! Visible universe radius in [cm] (Wikipedia).
      write(iuo,'(/," Universe radius [cm]",8x,"=",1g11.3)') ur
      uv=4.d00*pi*ur**3/3.d00
      write(iuo,'(" Universe volume [cm^3]",6x,"=",1g11.3)') uv
      um=1.d56 ! Visible universe ordinary matter in [g] (Wikipedia).
      write(iuo,'(" Universe o- matter [g]      =",1g11.3,/)') um
      uod=um/uv
      write(iuo,'(" Universe o-matter density [g/cm^3] =",1g11.3)') uod
      uld=ul*c**2/(4.d0*pi*G)
c     uld=ul*c**2/(8.d0*pi*G) ! Wikipedia. ??? Wiki-Rindler Discrepancy!
      write(iuo,'(" Lambda matter density     [g/cm^3] =",1g11.3)') uld
c     uld=7.0d-30 ! Wikipedia.
      pod=100*uod/(uod+uld)
      pld=100*uld/(uod+uld)
      write(iuo,'(/," o-matter versus l-matter in %:",2f6.1,/)') pod,pld
      if(ltest) stop "uenergy: ltest."
c
      stop "uenergy: all done."
      end
